# My setting for the Great Game

It should be evident that all the key ideas in The Great Game project would be applicable to games set in the historic past of our world, to games set in its present, or to games set in some imagined or forecast future; the ideas are intended to be, and I believe are, largely independent of setting.

Nevertheless I feel the need for a concrete setting to ground the development of ideas. I've chosen deliberately not to place that setting in the real world; although it's broadly based on cultures from the late bronze age/early iron age mediterrainian. 

So, phase one of The Great Game takes place in the triangle between Hans'hua, Sinhua, and Tchahua &mdash; the territory covered in the narratives [Merchant](http://www.journeyman.cc/~simon/tmp/merchant.pdf). The narrative from Merchant will form the basis for characters within the game, who will broadly have the skills, objectives and interests that they do in the narrative, but the events of the narrative won't be canon, partly because actions by the player may intervene and partly because in a dynamic game actions won't play out the same every time anyway.

Similarly I'll probably include at least some characters from other unfinished narratives set in the same world. The events of the game happen after the events in [The Rite of Spring](https://www.journeyman.cc/~simon/bookshelf/hyper/mgi/), so some version of those events will be canon, but:

1. A revised version, because I'm now not at all happy with central themes in that plot;
2. The part of the world in which phase one happens is a long way from The Great Place, the player can't go there, and although the player may meet people who have been there and know the lore, it isn't particularly relevant to anything they will do.

All the lore in the [background documents](https://www.journeyman.cc/~simon/bookshelf/hyper/mgi/Background.html) is canon, however, unless explicitly revised.

The map of the Cities of the Coast is revised, however, and as that covers the area where the game is set, this will be covered below.

## Geography

The game area is on the southern coast of an island continent; the area is bounded

* on the north, by the steppe, which is inhabited by hostile tribes. Caravans do cross, but will refuse to take the player, and if the player seeks to cross alone they will be killed.
* on the east, by the mountains of the rim. There's no direct pass from the southern littoral through the rim, so the player can't go. However, this does imply that the cities of Koantuan, Huandun
