# The Uncanny Valley, and dynamically generated dialogue

If the player is allowed to just speak arbitrary dialogue, then the conversation animation of the player character cannot be designed. If non-player characters are able to engage dynamically generated dialogue, in response to events in the game which are not scripted, then their conversation animation for those dialogues cannot be designed. So conversation animation must almost always be dynamically generated, largely from an augmented text of the speech act. With non-player characters, emotional content of a speech act can be generated by exactly the same process which generates the text. Extracting emotional content information from the player character's voice may be more challenging.

It would be possible to avoid animating the player character's face by using a first-person camera. However, I don't personally find this makes for a very engaging game experience.

These thoughts were prompted by a very interesting [video](https://youtu.be/NmLPpcVQFJM) and [Twitter thread](https://twitter.com/GameAnim/status/844961601732018176) about the perceived failings in the character animation system of Mass Effect Andromeda.

This gets even more problematic if, rather than heavily signposting the player towards locations where plot points will happen, we allow the player to roam the world relatively freely, and cause plot events to occur where the player is at the appropriate phase in the plot rather than when the player arrives at a particular location. This not only means that important plot beats will happen in unpredictable locations but also that we may have to dynamically assign the non-player character(s) who interact with the player character in order to deliver the plot point.
